from enum import IntEnum

class TaskStatus(IntEnum):
    """任务状态枚举"""
    COMPLETED = 1000  # 完成
    RUNNING = 1001  # 运行中
    QUEUED = 1002  # 队列中
    FAILED = 2000  # 失败
    CANCELED = 2001  # 取消
    PAUSED = 2002  # 暂停

class SourceType(IntEnum):
    """来源类型枚举"""
    SYSTEM_SCHEDULING = 1  # 系统调度
    CALL_MACHINE = 2  # 呼叫机
    THIRD_SYSTEM = 3  # 第三方系统
    HAND_DEVICE = 4  # 手持设备
